StreamReaderDelegate (Java SE 12 & JDK 12 )
Keywords: javax.xml.stream.util.StreamReaderDelegate class

Module java.xml
Package javax.xml.stream.util

## Class StreamReaderDelegate

- java.lang.Object
- - javax.xml.stream.util.StreamReaderDelegate

- All Implemented Interfaces:
    `XMLStreamConstants`, `XMLStreamReader`

      public class StreamReaderDelegate
      extends Object
      implements XMLStreamReader

  This is the base class for deriving an XMLStreamReader filter This class is designed to sit between an XMLStreamReader and an application's XMLStreamReader. By default each method does nothing but call the corresponding method on the parent interface.
  Since:
    1.6
  See Also:
    `XMLStreamReader`, `EventReaderDelegate`

- - ### Field Summary

    - ### Fields declared in interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamReaderDelegate()` | Construct an empty filter with no parent.
    `StreamReaderDelegate​(XMLStreamReader reader)` | Construct an filter with the specified parent.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `XMLStreamReader` | `getParent()` | Get the parent of this instance.
    `void` | `setParent​(XMLStreamReader reader)` | Set the parent of this instance.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

- - ### Constructor Detail

    - #### StreamReaderDelegate

          public StreamReaderDelegate()

      Construct an empty filter with no parent.

    - #### StreamReaderDelegate

          public StreamReaderDelegate​(XMLStreamReader reader)

      Construct an filter with the specified parent.
      Parameters:
        `reader` - the parent

  - ### Method Detail

    - #### setParent

          public void setParent​(XMLStreamReader reader)

      Set the parent of this instance.
      Parameters:
        `reader` - the new parent

    - #### getParent

          public XMLStreamReader getParent()

      Get the parent of this instance.
      Returns:
        the parent or null if none is set